ISIS - Bug #3881

Resolve external installation issues with findfeatures and OpenCV
2016-04-01 10:12 AM - Kris Becker

Status: Closed

Priority: High

Assignee: Kris Becker

Category: Installation

Target version: 3.4.12 (FY16 R2 2016-03-17 Mar)

Impact: Fixes external installation library Software Version:
dependency issues for OpenCV and
improvements to findfeatures application
that uses OpenCV.

Description

The ISIS 3.4.12 release is the first to include OpenCV support and the findfeatures application that uses the APl. Some external ISIS
users have reported libraries not being found when running findfeatures. We will resolve them as we become aware of them.

findfeatures has one minor bug reported (looks for Target in Mapping group for Level2 mosaics, but needs to be TargetName which
is needed for the generation of control network) and corrections and additions to the documentation will be made as well.

Related issues:
Related to ISIS - Bug #4330: New installation on Ubuntu missing libblas3gf an... Resolved

History

#1 - 2016-04-01 10:13 AM - Kris Becker
- Status changed from New to Assigned

- Assignee set to Kris Becker

#2 - 2016-04-01 10:29 AM - Kris Becker

- Status changed from Assigned to In Progress

There are different OpenCV library dependancies on Mac 10.8 when compared with Mac 10.6.

libjack does not exist on 10.8 and will be removed from the config file but is an OpenCV dependency on 10.6

The following libraries need to be added to 10.8 for OpenCV dependencies but are not required in 10.6:

libglib-2.0

libp11-kit

libffi

Some dependent libraries on Linux systems (at least on Ubuntu installations) may not have some of the following libraries:
libavcodec

libavformat

libavutil

These libraries will be added to the Linux ISIS distributions.

Note that there will be many variations in every Linux installation that will cause these types of problems. Please report these issues as you encounter
them and we will make every effort to address them in a timely manner.

Thanks...
#3 - 2016-04-01 01:48 PM - Kris Becker
- Impact updated

Update triage and add impact statement.

#4 - 2016-09-05 02:43 PM - Kris Becker
- Related to Bug #4330: New installation on Ubuntu missing libblas3gf and libjpeg62 added

#5 - 2016-12-07 11:34 AM - Kris Becker

- Status changed from In Progress to Closed
